Bug Hunting Session
Bug 65767 - Sub-Windows (Tables, Queries) equally sized to application window
Summary: Sub-Windows (Tables, Queries) equally sized to application window
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Base-UX
  Show dependency treegraph
 
Reported: 2013-06-14 20:14 UTC by Mike A. Fargo
Modified: 2019-04-12 09:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike A. Fargo 2013-06-14 20:14:57 UTC
Problem description: 

Steps to reproduce:
1. Create a table, query etc.
2. Open it

Current behavior:

A new (child/sub) window will open, covering the root window of
the base application (same size), education users to close windows to quit views.

Expected behavior:

Especially when the root window is maximized, the view windows should not be full screen. Especially when the root window is not full sized, child windows should be positioned in a cascading way to make clear that a seperate window has been created.

New users dare not close those covering sub windows, as they might be afraid to close the application itself.

Later, users will tend to close windows in order to leave the current view, but this will lead to situations where the root window is closed by mistake.

A more intuitive dimensioning of windows could possibly be supported by "close" buttons to be added to views or tables.

Thanks
Mike.

BTW: I can't create queries in a way that field values could be edited.               
Operating System: Debian
Version: 4.0.2.2 release
Comment 1 Robert Großkopf 2013-06-15 19:36:52 UTC
(In reply to comment #0)
Nothing to write about window-size. Could be there are too many wishes - I have heard from many people who wish, that the Main-window of Base should disappear when a form is opened ...
> 
> BTW: I can't create queries in a way that field values could be edited. 

Could you ask for this problem in the German mailinglist or in a forum 
http://de.openoffice.info/viewforum.php?f=8 or 
http://www.libreoffice-forum.de/viewforum.php?f=10

Short answer: The query has to include the primary-key of each table, which is included in the query.
Comment 2 Robinson Tryon (qubit) 2014-12-24 03:03:07 UTC
Component is ux-advise, so setting Status -> NEW.
Comment 3 Heiko Tietze 2016-08-07 08:57:35 UTC
Modal dialogs, such as Create Table, Create Query, are scaled fullsize (window style maximized). System default is to have a scaled and cascading window, that has to be respected, just as Mike says.

Sounds to me like an EASYHACK. Maybe someone has codepointers... -> NEEDINFO
Comment 4 jani 2016-08-08 09:00:27 UTC
Also missing keyword difficulty<foo>
Comment 5 Xisco Faulí 2016-09-27 10:36:10 UTC Comment hidden (obsolete)
Comment 6 jani 2016-10-25 13:30:24 UTC
no easyhack
Comment 7 QA Administrators 2017-10-26 08:09:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug